/*  $Id: TestXMLWriter.java 1031 2010-06-15 10:28:23Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2010 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
import org.junit.*;
import static org.junit.Assert.*;

import net.eduvax.xml.SaxWriter;


public class TestXMLWriter {

    @Before public void setUp() {
	    _writer=new SaxWriter(System.out);
    }

    @After public void tearDown() {
    }

    @Test public void testWriter() {
	    Exception exc=null;
	    try {
			_writer.addAttribute("date",new java.util.Date());
		    _writer.startElement("root");
		    _writer.addAttribute("attr1","value1");
		    _writer.addAttribute("attr2","value2");
		    _writer.startElement("sub1");
		    _writer.addAttribute("attr3","value3");
		    _writer.startElement("sub2");
		    _writer.addText("Un texte avec des caractères accentués & des caractères divers $£µùô");
		    _writer.endElement();
		    _writer.startElement("sub2");
		    _writer.endElement();
		    _writer.addAttribute("attr4","value4");
		    _writer.startElement("sub2");
		    _writer.endElement();
		    _writer.endElement();
		    _writer.endElement();
	    } catch (Exception ex) {
		    exc=ex;
		    ex.printStackTrace();
	    }
	    assertEquals(null,exc);
    }

    private SaxWriter _writer;
}        
